/* 页脚 */
.footer_custom_text a {
  margin: 0 5px;
}

#footer::before {
  content: none;
}

:root {
  --june-white: #fc4d4d;
  /* 定义白色 */
}

#footer-wrap {
  color: var(--june-white);
  padding: 50px 5% 35px 5%;
  display: flex;
  flex-wrap: wrap;
  background: var(--june-theme);
  position: relative;
}

#footer-wrap>div {
  width: 50%;
}

#footer-left {
  text-align: left
}

.footer-title {
  font-size: 1.5rem;
  font-weight: bold;
}

.footer-copyright {
  font-size: 1rem;
  font-weight: normal;
}

#footer-wrap .footer-button {
  display: flex;
  margin: 15px 0;
}

#footer-wrap .footer-button>a {
  font-size: 1.3rem;
  margin-right: 24px;
  transition: 0.2s;
  background: #04f414;
  width: 40px;
  height: 40px;
  display: flex;
  border-radius: 50%;
  color: white;
}

#footer-wrap .footer-button>a:hover {
  background: var(--june-theme);
  transition: 0.2s;
}

#footer-wrap .footer-button>a i {
  margin: auto;
  line-height: 42px;
}

#footer-wrap .iconfont {
  font-size: 1.3rem;
}

#footer-right {
  text-align: right;
  height: max-content;
  margin-top: auto;
}

#footer-right p,
#footer-right a {
  color: var(--june-white);
}

.footer-totop {
  position: absolute;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
}

.footer-totop i {
  font-size: 2rem;
  animation: footerToTop 1.2s linear infinite;
  cursor: pointer;
}

.footer-info p {
  font-size: 14px;
  margin: 0;
}

.footer-info a {
  margin-left: 20px;
  transition: 0.2s;
}

.footer-info a:hover {
  color: var(--june-theme-op) !important;
  transition: 0.2s;
}

.footer-info a:hover img {
  filter: none !important;
  transition: 0.2s;
}

.footer-service img {
  height: 20px;
  /* filter: brightness(1000%); */
  /* 将灰度图像提高亮度至白色 */
  margin-left: 20px;
  margin-top: 10px;
  transition: 0.2s;
}

.footer-service img:hover {
  filter: brightness(100%);
  /* 取消悬停时的滤镜效果 */
  transition: 0.2s;
}

@keyframes footerToTop {
  0% {
    transform: translateY(0);
  }

  60% {
    transform: translateY(-25%);
  }

  100% {
    transform: translateY(0);
  }
}

@media screen and (max-width:768px) {
  #footer-wrap>div {
    width: 100%;
    text-align: center;
  }

  #footer-wrap .footer-button>a {
    margin: 0 auto;
  }
}

.footer-info {
  display: flex;
  justify-content: flex-end;
  gap: 20px;
  font-size: 14px;
}